package com.yyrh.ui.activity;




import android.app.Fragment;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.KeyEvent;

import android.widget.FrameLayout;



import com.yyrh.ui.fragment.FragmentUtils;
import com.yyrh.utils.ResourceUtil;

import static com.yyrh.constant.SDKSettings.isLandscape;


public class UseLoginActivity extends BaseActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(ResourceUtil.getLayoutId(this,"qj_login_activity"));
        initView(this);
    }
    private void initView(Context context){
        Intent intent = getIntent();

        int fragmentTag  =intent.getIntExtra("fragmentTag",FragmentUtils.SDK_REGISTER_TAG);
        int orientation  =intent.getIntExtra("orientation",FragmentUtils.SDK_REGISTER_TAG);

        Fragment mJmUserLoginFragment = FragmentUtils.getSdkFragment(context,fragmentTag);


        FrameLayout layout = findViewById(ResourceUtil.getId(this,"qj_content"));
        setRequestedOrientation(orientation);
        if (!isLandscape){
            layout.setScaleX(0.9f);
            layout.setScaleY(0.9f);
        }


        addFragmentToActivity(getFragmentManager(),mJmUserLoginFragment,layout.getId());
    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        return false;
    }
}
